## ros-humble-tiago-controller-configuration 4.0.13

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(tiago_controller_configuration)

find_package(ament_cmake_auto REQUIRED)
ament_auto_find_build_dependencies()

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_auto_package(INSTALL_TO_SHARE config launch)

=== debian/changelog ===
ros-humble-tiago-controller-configuration (4.0.13-1jammy) jammy; urgency=high

  * Remove schunk wsg option
  * Launch controllers depending on robot arguments
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 11 Jul 2023 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.0.12-1jammy) jammy; urgency=high

  * Remove pal flags dependency
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 05 Jul 2023 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.0.11-1jammy) jammy; urgency=high

  * fix controllers launcher when there is no end_effector
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 28 Jun 2023 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.0.10-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 14 Jun 2023 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.0.9-1jammy) jammy; urgency=high

  * remove ros1 commented dependencies
  * comment controller dependency
  * flake8 fixes
  * add conditional dependency and do not launch gravity compensation controller as default
  * Spawn gravity compensation controller inactive
  * Set gravity compensation controller parameters
  * Add gravity compensation controller
  * Contributors: Adria Roig, Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 11 May 2023 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.0.8-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 11 May 2023 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.0.7-1jammy) jammy; urgency=high

  * set sim time for gazebo controller_manager
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Fri, 28 Apr 2023 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.0.6-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 17 Apr 2023 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.0.5-1jammy) jammy; urgency=high

  * Merge branch 'rm_use_sim_time' into 'humble-devel'
    remove use_sim_time parameter
    See merge request robots/tiago_robot!191
  * remove use_sim_time parameter
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 06 Mar 2023 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.0.4-1jammy) jammy; urgency=high

  * Merge branch 'fix_controllers_config' into 'humble-devel'
    remove initial / from controllers config
    See merge request robots/tiago_robot!190
  * remove initial / from controllers config
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 02 Mar 2023 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.0.3-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 22 Feb 2023 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.0.2-1jammy) jammy; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 08 Feb 2023 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.0.1-1jammy) jammy; urgency=high

  * Merge branch 'update_license' into 'humble-devel'
    Update license
    See merge request robots/tiago_robot!180
  * update license
  * Merge branch 'fix_dependency' into 'humble-devel'
    fix buildtool dependency
    See merge request robots/tiago_robot!179
  * fix buildtool dependency
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 10 Nov 2022 00:00:00 -0000

ros-humble-tiago-controller-configuration (4.0.0-1jammy) jammy; urgency=high

  * Merge branch 'cleanup' into 'humble-devel'
    Cleanup package.xml files and rm duplicated launcher
    See merge request robots/tiago_robot!174
  * rm duplicated launcher
  * update package.xml deps
  * Merge branch 'fix_substitution' into 'humble-devel'
    fix end effector substitution
    See merge request robots/tiago_robot!169
  * fix end effector substitution
  * Merge branch 'default_robot_name' into 'humble-devel'
    Add missing default robot name
    See merge request robots/tiago_robot!168
  * add missing default robot name
  * Merge branch 'update_copyright' into 'humble-devel'
    update copyright and license
    See merge request robots/tiago_robot!167
  * update copyright and license
  * Merge branch 'cleanup' into 'humble-devel'
    Cleanup
    See merge request robots/tiago_robot!165
  * rm ros1 launchers
  * Merge branch 'update_maintainers' into 'humble-devel'
    Update maintainers
    See merge request robots/tiago_robot!163
  * update maintainers
  * Merge branch 'linters' into 'humble-devel'
    Linters
    See merge request robots/tiago_robot!159
  * rm print
  * linters
  * Merge branch 'launch_refactor' into 'humble-devel'
    launch files refactor
    See merge request robots/tiago_robot!158
  * launch files refactor
  * Merge branch 'tiago_launcher' into 'galactic-devel'
    Tiago launcher
    See merge request robots/tiago_robot!150
  * add todo
  * Merge branch 'pal-hey5-ros2' into 'foxy-devel'
    pal-hey5 launch files and config
    See merge request robots/tiago_robot!130
  * use tiago_launch_utils
  * add pal-gripper launch
  * update default controllers launch file
  * pal-hey5 launch files and config
  * Add basic tests to tiago_controller_configuration
  * Add extra joints
  * Add use_sim_time to controllers as a workaround for https://github.com/ros-controls/ros2_control/issues/325
  * Added new parameters required for joint trajectory controllers
    Also, enabled default controllers
  * Lower controller manager to 100hz
  * Using joint_state_broadcaster instead of controller
  * Increased controller manager update rate to match gazebo's
  * Added twist_mux to the tiago bringup
    mobile_base_controller now uses the twist unstamped topic instead
  * Use correct namespacing for parameters
  * Using controller_manager launch_utils


=== debian/control ===
Source: ros-humble-tiago-controller-configuration
Section: misc
Priority: optional
Maintainer: Jordi Pages <jordi.pages@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake-auto, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-tiago-controller-configuration
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-controller-manager, ros-humble-diff-drive-controller, ros-humble-joint-state-broadcaster, ros-humble-joint-trajectory-controller, ros-humble-pal-gripper-controller-configuration, ros-humble-ros-workspace
Description: Configuration and launch files of TIAGo's controllers

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-tiago-controller-configuration//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-tiago-controller-configuration 4.6.0

=== debian/changelog ===
ros-humble-tiago-controller-configuration (4.6.0-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 17 Sep 2024 16:00:00 -0000

ros-humble-tiago-controller-configuration (4.5.0-1bookworm) bookworm; urgency=high

  * Use launch file directly from base controller_configuration
  * Don't load gravity compensation in public sim
  * Contributors: David ter Kuile

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 28 Aug 2024 16:00:00 -0000

ros-humble-tiago-controller-configuration (4.4.0-1bookworm) bookworm; urgency=high

  * Fix flake8
  * Add gravity compensation support for all grippers + improve launch file
  * Fix rebase issues + add arm_motor_model to module
  * Add dependencies and parameter for motor_model
  * Add gravity compensation controller as default controller loaded inactive
  * gravity compensation controller loaded in the default controllers
  * Contributors: Aina, ileniaperrella, thomas.peyrucain

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 21 Aug 2024 16:00:00 -0000

ros-humble-tiago-controller-configuration (4.3.0-1bookworm) bookworm; urgency=high

  * Use controller_type from the controllers config
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 06 Aug 2024 16:00:00 -0000

ros-humble-tiago-controller-configuration (4.2.21-1bookworm) bookworm; urgency=high

  * enable odom tf for pmb2 for public sim
  * Contributors: David ter Kuile

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Sun, 04 Aug 2024 16:00:00 -0000

ros-humble-tiago-controller-configuration (4.2.20-1bookworm) bookworm; urgency=high

  * Adding open_loop_control variable to head controller
  * Contributors: vivianamorlando

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Sun, 28 Jul 2024 16:00:00 -0000

ros-humble-tiago-controller-configuration (4.2.19-1bookworm) bookworm; urgency=high

  * Change parameter to arm_type
  * Contributors: thomas.peyrucain

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 24 Jul 2024 16:00:00 -0000

ros-humble-tiago-controller-configuration (4.2.18-1bookworm) bookworm; urgency=high

  * Add warning for pal_module_cmake not found
  * Contributors: Noel Jimenez

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 08 Jul 2024 16:00:00 -0000

ros-humble-tiago-controller-configuration (4.2.17-1bookworm) bookworm; urgency=high

  * change module name into 10_*
  * change the bases config file for their packages config files
  * Contributors: Aina

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Sun, 07 Jul 2024 16:00:00 -0000

ros-humble-tiago-controller-configuration (4.2.16-1bookworm) bookworm; urgency=high

  * Add imu sensor broadcaster
  * Contributors: davidterkuile

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 27 Jun 2024 16:00:00 -0000

ros-humble-tiago-controller-configuration (4.2.15-1bookworm) bookworm; urgency=high

  * Merge branch 'dtk/move-robot-args' into 'humble-devel'
    Change imports for robot arguments
    See merge request robots/tiago_robot!297
  * Change imports for robot arguments
  * Contributors: David ter Kuile, davidterkuile

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 25 Jun 2024 16:00:00 -0000

ros-humble-tiago-controller-configuration (4.2.14-1bookworm) bookworm; urgency=high

  * Merge branch 'dtk/fix/base-urdf' into 'humble-devel'
    Dtk/fix/base urdf
    See merge request robots/tiago_robot!295
  * Add imu gazebo plugin and imu sensor broadcaster
  * Move ros2 control gazebo
  * Merge branch 'fix/remove_pmb2_extra_joints' into 'humble-devel'
    Remove casters and suspension from joint_state_broadcaster
    See merge request robots/tiago_robot!296
  * Remove casters and suspension from joint_state_broadcaster
  * Contributors: David ter Kuile, Jordan Palacios, Noel Jimenez, davidterkuile

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 24 Jun 2024 16:00:00 -0000

ros-humble-tiago-controller-configuration (4.2.13-1bookworm) bookworm; urgency=high

  * Merge branch 'feat/motions' into 'humble-devel'
    pre-recorded_motions
    See merge request robots/tiago_robot!292
  * fix launch ee_controller when no-ft-sensor
  * Contributors: Aina, davidterkuile

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Tue, 04 Jun 2024 16:00:00 -0000

ros-humble-tiago-controller-configuration (4.2.12-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Thu, 09 May 2024 16:00:00 -0000

ros-humble-tiago-controller-configuration (4.2.11-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 08 May 2024 16:00:00 -0000

ros-humble-tiago-controller-configuration (4.2.10-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Wed, 08 May 2024 16:00:00 -0000

ros-humble-tiago-controller-configuration (4.2.9-1bookworm) bookworm; urgency=high



 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 06 May 2024 16:00:00 -0000

ros-humble-tiago-controller-configuration (4.2.8-1bookworm) bookworm; urgency=high

  * Merge branch 'omm/fix/urdf_complete_std' into 'humble-devel'
    URDF std
    See merge request robots/tiago_robot!278
  * Suggested changed
  * Module, joy config and restored support for tiago dual
  * Omni related checks and files
  * Suggested changes
  * Launch files moved to TIAGo family standard
  * Merge branch 'tpe/add_omni_controller' into 'humble-devel'
    Add missing dependency for the omni_base controller
    See merge request robots/tiago_robot!279
  * Add missing dependency for the omni_base controller
  * Contributors: Oscar, davidterkuile, thomas.peyrucain

 -- Jordi Pages <jordi.pages@pal-robotics.com>  Mon, 29 Apr 2024 16:00:00 -0000

ros-humble-tiago-controller-configuration (4.2.7-1bookworm) bookworm; urgency=high

  * Merge branch 'sgg/feat/base_type_omni_base' into 'humble-devel'
    Sgg/feat/base type omni base
    See merge request robots/tiago_robot!273
  * Fix whitespace
  * mobile_base_controller.launch.py
    Handle is_public_sim


=== debian/control ===
Source: ros-humble-tiago-controller-configuration
Section: misc
Priority: optional
Maintainer: Jordi Pages <jordi.pages@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake-auto, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-ros-workspace
Homepage: https://github.com/pal-robotics/tiago_simulation
Standards-Version: 3.9.2

Package: ros-humble-tiago-controller-configuration
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-controller-manager, ros-humble-diff-drive-controller, ros-humble-force-torque-sensor-broadcaster, ros-humble-imu-sensor-broadcaster, ros-humble-joint-state-broadcaster, ros-humble-joint-trajectory-controller, ros-humble-launch, ros-humble-launch-pal, ros-humble-omni-base-controller-configuration, ros-humble-pal-gripper-controller-configuration, ros-humble-pal-hey5-controller-configuration, ros-humble-pal-robotiq-controller-configuration, ros-humble-pmb2-controller-configuration, ros-humble-ros2controlcli, ros-humble-ros-workspace
Description: Configuration and launch files of TIAGo's controllers

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-tiago-controller-configuration//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-tiago-controller-configuration//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-tiago-controller-configuration//opt/ros/humble/opt/tiago_controller_configuration/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
